=== debian/changelog ===
qmmp (1.6.2-1build6) noble; urgency=medium

  * Rebuild against new libmpg123t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 08:23:07 +0200

qmmp (1.6.2-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:31:56 +1100

qmmp (1.6.2-1build4) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:17:41 +0000

qmmp (1.6.2-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:41:40 +0000

qmmp (1.6.2-1build2) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 07:23:27 +0000

qmmp (1.6.2-1build1) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 22:07:09 +0200

qmmp (1.6.2-1) unstable; urgency=medium

  * New upstream version (Closes: #1009894).
    + Updated d/copyright.
    + d/control: updated package description.
    + d/control: updated dependencies.
    + d/rules: updated build options to match added/dropped dependencies.
  * New upstream version renames qmmp to qmmp-1.
    + d/rules: fixed "qmmp-1" path. [ Harald Dunkel ]
    + Renamed manpage to qmmp-1.1.
    + Added d/qmmp.links to provide /usr/bin/qmmp and
      /usr/share/man/man1/qmmp.1.gz symlinks.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * d/upstream/metadata: dropped Donation (no donation page on upstream's
    website).

 -- Matteo Cypriani <mcy@lm7.fr>  Wed, 23 Nov 2022 21:30:17 +0100
