## qmmp 2.2.2

=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -1,38 +1,24 @@
 project(app)
 
-INCLUDE(UsePkgConfig)
-
-ADD_DEFINITIONS(-DQT_NO_DEBUG)
-ADD_DEFINITIONS(-DQT_THREAD)
+include(UsePkgConfig)
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
-
-# libqmmp & libqmmpui
-include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../)
-
-link_directories(${CMAKE_INSTALL_PREFIX}/${LIB_DIR})
-link_directories(${CMAKE_CURRENT_BINARY_DIR}/../qmmpui)
-link_directories(${CMAKE_CURRENT_BINARY_DIR}/../qmmp)
-
-SET(app_SRCS
+set(app_SRCS
     builtincommandlineoption.cpp
     main.cpp
     qmmpstarter.cpp
+    images/images.qrc
+    translations/qmmp_locales.qrc
 )
-
-SET(app_RCCS images/images.qrc translations/qmmp_locales.qrc)
-
-QT5_ADD_RESOURCES(app_RCC_SRCS ${app_RCCS})
 
 # Don't forget to include output directory, otherwise
 # the UI file won't be wrapped!
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
-ADD_EXECUTABLE(qmmp ${app_SRCS} ${app_RCC_SRCS})
-target_link_libraries(qmmp Qt5::Widgets libqmmp libqmmpui)
-SET_TARGET_PROPERTIES(qmmp PROPERTIES OUTPUT_NAME qmmp${APP_NAME_SUFFIX})
-add_dependencies(qmmp libqmmpui libqmmp)
+add_executable(qmmp ${app_SRCS})
+target_link_libraries(qmmp PRIVATE Qt6::Widgets Qt6::Network libqmmp libqmmpui)
+set_target_properties(qmmp PROPERTIES OUTPUT_NAME qmmp${APP_NAME_SUFFIX})
 
 install(TARGETS qmmp DESTINATION ${CMAKE_INSTALL_BINDIR})
 install(FILES qmmp-opencda${APP_NAME_SUFFIX}.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/solid/actions)
@@ -47,7 +33,7 @@
 install(FILES images/scalable/qmmp${APP_NAME_SUFFIX}.svgz images/scalable/qmmp-simple${APP_NAME_SUFFIX}.svgz DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
 install(FILES appdata/qmmp${APP_NAME_SUFFIX}.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
 
-IF(USE_DIR_ASSOC)
+if(USE_DIR_ASSOC)
     install(FILES qmmp-enqueue${APP_NAME_SUFFIX}.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
     install(FILES qmmp-dir${APP_NAME_SUFFIX}.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
-ENDIF(USE_DIR_ASSOC)
+endif(USE_DIR_ASSOC)
