=== debian/changelog ===
qmmp (2.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against taglib 2.0.2.
  * debian/control: Use up-to-date taglib 2.x build-dependency package name:
    libtag1-dev => libtag-dev.
  * debian/patches/0002-Fix-taglib-2.x-compatibility.patch:
    Add patch to fix taglib 2.x compatibility.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Jan 2025 21:10:58 -0500

qmmp (2.2.2-1) unstable; urgency=medium

  * New upstream version 2.2.2
    + d/control: Updated dependencies for Qmmp 2 (Qt 6) [ Harald Dunkel ]
    + Reverted to qmmp instead of qmmp-1 [ Matteo Cypriani ]
    + Updated manpage qmmp.1 [ Matteo Cypriani ]

  [ Harald Dunkel ]
  * Bump Standards-Version to 4.7.0 (no changes needed)

  [ Matteo Cypriani ]
  * d/control: Added Harald Dunkel as a co-maintainer
  * d/control: Dropped build depends on obsolete pkg-config
  * d/control: Recommend freepats (Closes: #1068028)
  * d/watch: Updated for new upstream hierarchy
  * Updated d/copyright
  * Added "wtH" lintian override
  * d/rules: Simplified hardening flags
  * Added qmmp.appdata.xml patch to use rDNS identifier

 -- Matteo Cypriani <mcy@lm7.fr>  Sun, 24 Nov 2024 22:47:44 +0100
